MENU_ITEM_OPTS(3)

NAME
item_opts, item_opts_off, item_opts_on - get or modify options for an item

LIBRARY
libmenu

SYNOPSIS
#include <menu.h>
OPTIONS
item_opts(ITEM *item);
int
item_opts_off(ITEM *item, OPTIONS opts);
int
item_opts_on(ITEM *item, OPTIONS opts);

DESCRIPTION
The item_opts() function returns the options currently set for the given item. The item_opts_off() function turns off the options passed in opts for the item passed. The item_opts_on() function turns on the options passed in opts for the item given.

RETURN VALUES
The functions return one of the following error values:

E_OK
    The function was successful.
E_SYSTEM_ERROR
    There was a system error during the call.

SEE ALSO
curses(3), menus(3)

NOTES
The header <menu.h> automatically includes both <curses.h> and <eti.h>.